Page MenuHomePhabricator

[SimplifyCFG] ReduceSwitchRange: Improve on the case where the SubThreshold doesn't trigger
ClosedPublic

Authored by shawnl on Apr 28 2019, 1:25 AM.

Details

Reviewers
jmolloy
nikic
Summary

This is patch 5 is a series beginning with D61150

Diff Detail

Event Timeline

shawnl created this revision.Apr 28 2019, 1:25 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 28 2019, 1:25 AM
shawnl updated this revision to Diff 197010.Apr 28 2019, 1:27 AM

remove some dead code

shawnl planned changes to this revision.Apr 28 2019, 1:30 AM

bugs

shawnl updated this revision to Diff 197011.Apr 28 2019, 1:46 AM
shawnl edited the summary of this revision. (Show Details)
shawnl edited the summary of this revision. (Show Details)
shawnl updated this revision to Diff 197012.Apr 28 2019, 1:58 AM
shawnl updated this revision to Diff 197013.Apr 28 2019, 2:14 AM
shawnl edited the summary of this revision. (Show Details)

bugs, tests

jmolloy accepted this revision.Apr 29 2019, 1:20 AM

LGTM with a couple of nits. Thanks!

lib/Transforms/Utils/SimplifyCFG.cpp
5578

Values[any] -> Values[BestIndex]?

5592

I don't think this comment serves any purpose split. Just cat it onto the end of the ... above, I think.

This revision is now accepted and ready to land.Apr 29 2019, 1:20 AM
shawnl updated this revision to Diff 197298.Apr 30 2019, 4:12 AM
shawnl updated this revision to Diff 197603.May 1 2019, 11:35 AM
shawnl edited the summary of this revision. (Show Details)

no longer depends on cttz transform

shawnl closed this revision.May 26 2019, 7:46 AM

applied 361728